/*
THIS DO-FILE IS A SLIGHTLY MODIFIED VERSION OF THE ONE
ORIGINALLY CREATED BY MARY McGEE FOR HER SENIOR THESIS.
It was modified by Richard Ball on 2016-09-27.
*/ 


clear
use clean.dta, clear

** generate Table 1: Summary Statistics **
sum nfippolicies ChangeInPolicies nfipclaims nfiprealvalue sbarealvalue drfrealvalue damagesrealvalue floods


**** RESULTS ****
** generate Table 2a - results for ChangeInPolicies as Dependent Variable **
reg ChangeInPolicies laglndamages lagfloods yr katrina, robust
reg ChangeInPolicies laglndamages lagfloods yr katrina fira94 fira94trend, robust
reg ChangeInPolicies laglndamages lagfloods yr katrina fira04 fira04trend, robust
reg ChangeInPolicies laglndamages lagfloods yr katrina grant06 grant06trend, robust
** generate Table 2b - results for lnclaims as Dependent Variable **
newey lnclaims lnsba lndrf lndamages floods yr katrina, lag(2) force
newey lnclaims lnsba lndrf lndamages floods yr katrina fira94 fira94trend, lag(2) force
newey lnclaims lnsba lndrf lndamages floods yr katrina fira94 fira94trend fira04 fira04trend, lag(2) force
newey lnclaims lnsba lndrf lndamages floods yr katrina fira94 fira94trend grant06 grant06trend, lag(2) force
** generate Table 2c - results for lnclaimvalue as Dependent Variable **
newey lnclaimvalue lnsba lndrf lndamages floods yr katrina, lag(2) force
newey lnclaimvalue lnsba lndrf lndamages floods yr katrina fira94 fira94trend, lag(2) force
newey lnclaimvalue lnsba lndrf lndamages floods yr katrina fira04 fira04trend, lag(2) force
newey lnclaimvalue lnsba lndrf lndamages floods yr katrina grant06 grant06trend, lag(2) force


** generate histograms - reported in appendix Figure A1 - A13**
hist nfippolicies, freq normal
hist ChangeInPolicies, freq normal
hist nfiprealvalue, freq normal
hist nfipclaims, freq normal
hist lnclaims, freq normal
hist nfiprealvalue, freq normal
hist lnclaimvalue, freq normal
hist sbarealvalue, freq normal
hist lnsba, freq normal
hist drfrealvalue, freq normal
hist lndrf, freq normal
hist damagesrealvalue, freq normal
hist lndamages, freq normal
hist floods, freq normal

** Dickey-Fuller test for unit root *** generate Table A1 ***
dfuller nfippolicies, trend
dfuller ChangeInPolicies, trend
dfuller nfipclaims, trend
dfuller nfiprealvalue, trend
dfuller sbarealvalue, trend
dfuller drfrealvalue, trend
dfuller damagesrealvalue, trend
dfuller floods, trend

** Bruesch-Godfrey test for serial correlation *** generate Table A2 *** 
reg ChangeInPolicies sbarealvalue drfrealvalue damagesrealvalue floods yr
estat bgodfrey, lag (1)
estat bgodfrey, lag (5)
estat bgodfrey, lag (10)
reg nfipclaims sbarealvalue drfrealvalue damagesrealvalue floods yr 
estat bgodfrey, lag (1)
estat bgodfrey, lag (5)
estat bgodfrey, lag (10)
reg nfiprealvalue sbarealvalue drfrealvalue damagesrealvalue floods yr 
estat bgodfrey, lag (1)
estat bgodfrey, lag (5)
estat bgodfrey, lag (10)
